## visad.data.netcdf.units
Class DefaultUnitsDB

    java.lang.Object
      visad.data.netcdf.units.DefaultUnitsDB

All Implemented Interfaces:
  UnitsDB, UnitsDB

Deprecated. Use `visad.data.units.DefaultUnitsDB` instead

public class DefaultUnitsDB
extends Object
implements UnitsDB, UnitsDB

Constructor Summary
`DefaultUnitsDB(UnitsDB db)` Deprecated. Use `visad.data.units.DefaultUnitsDB(db)` instead

Method Summary
`Unit` `get(String name)` Deprecated. Get a unit.
`Enumeration` `getNameEnumeration()` Deprecated. Get an enumeration of the unit names in the database.
`Enumeration` `getSymbolEnumeration()` Deprecated. Get an enumeration of the unit symbols in the database.
`Enumeration` `getUnitEnumeration()` Deprecated. Get an enumeration of the units in the database.
`static UnitsDB` `instance()` Deprecated. Use `visad.data.units.DefaultUnitsDB.instance()` instead
`void` `list()` Deprecated. List the units in the database.
`void` `put(BaseUnit bu)` Deprecated. Adds a base unit.
`void` `putName(String name, Unit u)` Deprecated. Adds a name and a unit to the name table.
`void` `putSymbol(String name, Unit u)` Deprecated. Adds a symbol and a unit to the symbol table.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultUnitsDB

    public DefaultUnitsDB(UnitsDB db)

  Deprecated. Use `visad.data.units.DefaultUnitsDB(db)` instead

Method Detail

### instance

    public static UnitsDB instance()
                            throws UnitException

  Deprecated. Use `visad.data.units.DefaultUnitsDB.instance()` instead

  Throws:
    `UnitException`

### get

    public Unit get(String name)

  Deprecated. Use `visad.data.units.DefaultUnitsDB.get(name)` instead

  Description copied from interface: `UnitsDB`
  Get a unit.

  Specified by:
    `get` in interface `UnitsDB`
  Parameters:
    `name` - The name of the unit to be retrieved from the database.
  Returns:
    The matching unit entry in the database.

### getNameEnumeration

    public Enumeration getNameEnumeration()

  Deprecated. Use `visad.data.units.DefaultUnitsDB.getNameEnumeration()` instead

  Description copied from interface: `UnitsDB`
  Get an enumeration of the unit names in the database.

  Specified by:
    `getNameEnumeration` in interface `UnitsDB`

### getSymbolEnumeration

    public Enumeration getSymbolEnumeration()

  Deprecated. Use `visad.data.units.DefaultUnitsDB.getSymbolEnumeration()` instead

  Description copied from interface: `UnitsDB`
  Get an enumeration of the unit symbols in the database.

  Specified by:
    `getSymbolEnumeration` in interface `UnitsDB`

### getUnitEnumeration

    public Enumeration getUnitEnumeration()

  Deprecated. Use `visad.data.units.DefaultUnitsDB.getUnitEnumeration()` instead

  Description copied from interface: `UnitsDB`
  Get an enumeration of the units in the database.

  Specified by:
    `getUnitEnumeration` in interface `UnitsDB`

### list

    public void list()

  Deprecated. Use `visad.data.units.DefaultUnitsDB.list()` instead

  Description copied from interface: `UnitsDB`
  List the units in the database.

  Specified by:
    `list` in interface `UnitsDB`

### put

    public void put(BaseUnit bu)

  Deprecated. Use `visad.data.units.DefaultUnitsDB.put(bu)` instead

  Description copied from interface: `UnitsDB`
  Adds a base unit.

  Specified by:
    `put` in interface `UnitsDB`

### putName

    public void putName(String name,
                        Unit u)

  Deprecated. Use `visad.data.units.DefaultUnitsDB.putName(name, u)` instead

  Description copied from interface: `UnitsDB`
  Adds a name and a unit to the name table.

  Specified by:
    `putName` in interface `UnitsDB`
  Parameters:
    `name` - The name to be added.
    `u` - The unit to be added.

### putSymbol

    public void putSymbol(String name,
                          Unit u)

  Deprecated. Use `visad.data.units.DefaultUnitsDB.putSymbol(name, u)` instead

  Description copied from interface: `UnitsDB`
  Adds a symbol and a unit to the symbol table.

  Specified by:
    `putSymbol` in interface `UnitsDB`
  Parameters:
    `name` - The symbol to be added.
    `u` - The unit to be added.